Moosend
Authentication & Authorization
Credentials
-
Moosend connects via API key.
-
The API key must always be specified as a parameter in the query string of the requesting URL.
-
Your API keys can be obtained in the Moosend Settings Menu (see DataGrail Help Docs).
-
Publicly exposing your API keys can allow unauthorized access to the Moosend API endpoints, and your Moosend data by a third party. DataGrail stores your API keys encrypted and protected.
Permissions
This is a unique key for each account in our system. The specific role and permissions of your account determine what resources and specific endpoints you can access with your API key.
Endpoints Utilized
DataGrail uses the following endpoint to verify API connection:
GET https://api.moosend.com/v3/lists/1/1.json
Version
DataGrail integration currently supports Moosend API version 3 (v3).
Limits
-
DataGrail supports requests throttling to stay within 70-80% of specified service rate limits.
-
DataGrail processes API responses with HTTP 429 status to interrupt requests, waiting and retrying (using an exponential backoff strategy).
Access
For an access request, DataGrail will take the following actions:
-
Get all active mailing lists with paging and batch processing.
-
Search subscriber details by the Data Subject email address in each of the active mailing lists.
-
Search basic sender information by the Data Subject email address.
- For all objects found, DataGrail will return all available fields. You can edit which objects and fields you want to provide to the Data Subject via our Portal Requests.
Endpoints Utilized
-
GET https://api.moosend.com/v3/lists/ -
GET https://api.moosend.com/v3/subscribers/{list_id}/view.json -
GET https://api.moosend.com/v3/senders/find_one.json
Deletion
For a deletion request, DataGrail will take the following actions:
-
Get all active mailing lists with paging and batch processing.
-
Search subscriber details by the Data Subject email address in each of the active mailing lists.
-
Removes a subscriber from the specified mailing list permanently.
Endpoints Utilized
-
GET https://api.moosend.com/v3/lists/ -
GET https://api.moosend.com/v3/subscribers/{list_id}/view.json -
POST https://api.moosend.com/v3/subscribers/{list_id}/remove.json
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.